'use strict';
define([
  'angular',

  'widgets/mapapp/longitudinalprofile/directives/longitudinalprofilewidget',
  'widgets/mapapp/longitudinalprofile/directives/profilPreview',
  'widgets/mapapp/longitudinalprofile/directives/profilForm',
  'widgets/mapapp/longitudinalprofile/services/networkEditFactory',

  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function (
  angular,
  longitudinalprofilewidget,
  profilPreview,
  profilForm,
  networkEditFactory

) {
  // generation du module
  var gclongitudinalprofile = angular.module('gc_longitudinalprofile', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);

  // ajout controller

  // ajout directive
  // modelwidget.directive('gcmodelwidgetdir',gc_scalelinedirectives);
  gclongitudinalprofile.directive(
    'longitudinalprofilewidget',
    longitudinalprofilewidget
  );
  gclongitudinalprofile.directive('profilPreview', profilPreview);
  gclongitudinalprofile.directive('profilForm', profilForm);

  // ajout factory
  // ajout service
  gclongitudinalprofile.factory('networkEditFactory', networkEditFactory);
  //route provider

  return gclongitudinalprofile;
});
